Live section cut fill

Just tested @Matt method for isolating live section fill. Absolutely love it. Brilliant!

3 Likes

Create a LIVE section cut in SketchUp with the "Donley Method" - YouTube Thanks! Here’s the link for anyone interested.

4 Likes

Yes this is awesome! It works perfectly!

1 Like

@Sonder @Matt I have your book and refer to it all the time. I was wondering if you might be contemplating a revision or addendum that discusses how you have implemented some of the new features that didn’t exist when it was published. I don’t use the exact methods but I do adhere to a lot of the principle workflow.

1 Like

Yeah, Nick and I have talked about an update, for sure. Currently, I’m working on an extensive update to my first book, SketchUp to LayOut, which will have an entirely new section on SketchUp basics, and pretty much be completely rewritten to the latest version.

Once I complete that book, I’ll be bringing my attention to SketchUp & LayOut for Architecture.

We also have some detail models that will be available for sale soon.

3 Likes

That’s music to my ears I actually didn’t get your first book because I started using layout sometime after it was published and wasn’t sure about it being relevant. I’ll be at the front of the line for the new one!

While we can’t change the transparency of the Layer Colors, I was testing a bit:

# original:
# "Set Demo Layer Colors" & "Reset Layer Colors" commands.
#
# A SketchUp menu command example by Dan Rathbun. 2016-06-08
#
# Changed by Jack de Moel for 'Matt Method' of live sectioning
# Note:Cannot change opacity of Layer Color through API, so it is not the same, but it sets all Layer Colors to # White and change some model render options
#
# This edition wraps the commands in undo operation blocks.


if $LOADED_FEATURES.grep(/\A#{__FILE__}\z/i).empty?

module User
module DemoLayerColors

  UI.menu("View").add_separator

  UI.menu("View").add_item("Set Layer  almost Matt Method") {
    Sketchup.active_model.start_operation("Set Layer almost Matt Method",true)
      #
      for i in Sketchup.active_model.layers.to_a
   
        hue = Sketchup::Color.new("White")
        
        props = i.attribute_dictionary("Properties")
        ca = i.get_attribute("Properties","Color") rescue nil
        if !props || ca.nil? || ca != hue.to_a
          i.set_attribute("Properties","Color",i.color.to_a)
        end
        i.color = hue
      end
      #set model render options
      #Transparency
      Sketchup.active_model.rendering_options["ModelTransparency"] = 1
      #Color by Layer
      Sketchup.active_model.rendering_options["DisplayColorByLayer"] = 1
      #Edges
      Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 0
      
    Sketchup.active_model.commit_operation
  }

  UI.menu("View").add_item("Reset Matt Method") {
    Sketchup.active_model.start_operation("Reset Matt Method",true)
      #
      for i in Sketchup.active_model.layers.to_a
        ca = i.get_attribute("Properties","Color") rescue nil
        i.color = Sketchup::Color::new(ca) if ca
      end
      #
      #set model renderin options back

      #Transparency
      Sketchup.active_model.rendering_options["ModelTransparency"] = 0
      #Color by Layer
      Sketchup.active_model.rendering_options["DisplayColorByLayer"] = 0
      #Edges
      Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 1
      
    Sketchup.active_model.commit_operation
  }

end # module
end # module

end # if not already loaded

it is still a nice way of looking at a model (Condoc 4 model by Michael Brightman):

Schermafbeelding 2020-01-20 om 09.45.41